/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerDurationPublicRequest} from "./workerDurationPublicRequest";

export class DurationEventRequest {
    public event: WorkerDurationPublicRequest;

    public code: string;

    /**
     * Creates a DurationEventRequest.
     *
     * @param {WorkerDurationPublicRequest} event
     * @param {string} code
     */
    constructor(event: WorkerDurationPublicRequest, code: string) {
        this.event = event;
        this.code = code;
    }
}
